commit 7e8120c0574ab1910f63474ff6be8de0ddc4ccac
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Aug 26 15:23:32 2022 -0700

    libFS 1.0.9
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit ee33ecf31706877e1ab7dc257fadbb3eb535da50
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun May 8 12:35:00 2022 -0700

    Convert code to use FSmallocarray() & FSreallocarray()
    
    Provides automatic integer overflow checking in allocation size calculations
    (Though we already have explicit checks before using values provided
     over the protocol in calculations, so many were already manually checked.)
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 4a1d0977dbb6eb960ca4deedba90940bcaeecefb
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun May 8 12:20:58 2022 -0700

    Import reallocarray() from libX11 (originally from OpenBSD)
    
    Wrapper for realloc() that checks for overflow when multiplying
    arguments together, so we don't have to add overflow checks to
    every single call.  For documentation on usage, see:
    http://www.openbsd.org/cgi-bin/man.cgi/OpenBSD-current/man3/calloc.3
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 8896fbce317e454e578cc80300693737e39e00fc
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun May 8 12:05:16 2022 -0700

    gitlab CI: add a basic build test
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 29f790a5c98abde13b3daa5a7b1c1f53c4574550
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun May 8 12:01:22 2022 -0700

    Fix spelling/wording issues
    
    Found by using:
        codespell --builtin clear,rare,usage,informal,code,names
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit aea1ce86c4391ba72de4e8599f3862eccd3599f0
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun May 8 12:00:23 2022 -0700

    Build xz tarballs instead of bzip2
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 02de7390e58f00a3701f656a2b205dc6c8dafb58
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Mar 10 15:39:06 2019 -0700

    libFS 1.0.8
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit e8642e3203f9793c2cca19b2df334b4160c56742
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Dec 7 19:29:44 2018 -0800

    Update configure.ac bug URL for gitlab migration
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 6052aa6479be8059c9294ced6e3a33e2316bb2d5
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Nov 18 21:46:25 2018 -0800

    Update README for gitlab migration
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit d3af455fb236931fadb6e863e5a4ed509c61d868
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Sep 23 19:26:02 2018 -0700

    Don't try to send strings larger than protocol allows in requests
    
    Also clears up all "Loss of precision on implicit conversion" warnings
    from Oracle's Parfait static analyser.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 12d64c65200930885c694d018ec66d8946b3a214
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Sep 23 13:51:25 2018 -0700

    Fix sign comparison warning in loop index in FSQueryXInfo
    
    FSQXInfo.c: In function ‘FSQueryXInfo’:
    FSQXInfo.c:110:16: warning: comparison between signed and unsigned integer expressions [-Wsign-compare]
         for (j=0; j<props->num_offsets; j++)
                    ^
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 3eb9c6bbfb4e6caf6efb5dec8744f257c2d63be7
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Sep 23 13:47:35 2018 -0700

    Fix sign comparison warning in loop indexes in FSQueryXExtents{8,16}
    
    FSQXExt.c: In function ‘FSQueryXExtents8’:
    FSQXExt.c:105:19: warning: comparison between signed and unsigned integer expressions [-Wsign-compare]
         for (i = 0; i < reply.num_extents; i++) {
                       ^
    FSQXExt.c: In function ‘FSQueryXExtents16’:
    FSQXExt.c:141:16: warning: comparison between signed and unsigned integer expressions [-Wsign-compare]
      for (i = 0; i < str_len; i++) {
                    ^
    FSQXExt.c:165:19: warning: comparison between signed and unsigned integer expressions [-Wsign-compare]
         for (i = 0; i < reply.num_extents; i++) {
                       ^
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 8213b7070c039ea16d0112eff01cc7420031c089
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Sep 23 13:44:59 2018 -0700

    Fix sign comparison warning in loop indexes in FSQueryXBitmaps{8,16}
    
    FSQGlyphs.c: In function ‘FSQueryXBitmaps8’:
    FSQGlyphs.c:113:16: warning: comparison between signed and unsigned integer expressions [-Wsign-compare]
         for (i=0; i<reply.num_chars; i++)
                    ^
    FSQGlyphs.c: In function ‘FSQueryXBitmaps16’:
    FSQGlyphs.c:160:16: warning: comparison between signed and unsigned integer expressions [-Wsign-compare]
      for (i = 0; i < str_len; i++) {
                    ^
    FSQGlyphs.c:198:16: warning: comparison between signed and unsigned integer expressions [-Wsign-compare]
         for (i=0; i<reply.num_chars; i++)
                    ^
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit caee4c2bf188484f117e5bd866e3b56c8506593e
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Sep 23 13:40:30 2018 -0700

    Fix sign comparison warning in loop index in FSListCatalogues
    
    FSListCats.c: In function ‘FSListCatalogues’:
    FSListCats.c:104:16: warning: comparison between signed and unsigned integer expressions [-Wsign-compare]
      for (i = 0; i < rep.num_catalogues; i++) {
                    ^
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit b37bbeb7ca931b0f5170e877b0bbfd0959d344b7
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Sep 23 13:34:04 2018 -0700

    Fix sign comparison warning in loop index in FSListFontsWithXInfo
    
    FSFontInfo.c: In function ‘FSListFontsWithXInfo’:
    FSFontInfo.c:182:13: warning: comparison between signed and unsigned integer expressions [-Wsign-compare]
      for (j=0; j<pi[i]->num_offsets; j++)
                 ^
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit fed3794a5204eace3926f13573b10f0b51f85fbc
Author: Mihail Konev <k.mvc@ya.ru>
Date:   Thu Jan 26 13:52:49 2017 +1000

    autogen: add default patch prefix
    
    Signed-off-by: Mihail Konev <k.mvc@ya.ru>

commit 89f456580ea831652f119158f8b257dfd531a7e1
Author: Emil Velikov <emil.l.velikov@gmail.com>
Date:   Mon Mar 9 12:00:52 2015 +0000

    autogen.sh: use quoted string variables
    
    Place quotes around the $srcdir, $ORIGDIR and $0 variables to prevent
    fall-outs, when they contain space.
    
    Signed-off-by: Emil Velikov <emil.l.velikov@gmail.com>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 4ef3748251ac2139b73b137dcef529421447652b
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Jan 24 10:32:07 2017 +1000

    autogen.sh: use exec instead of waiting for configure to finish
    
    Syncs the invocation of configure with the one from the server.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Emil Velikov <emil.velikov@collabora.com>

commit a9db12661e7412dd935706c92db6d7bc46238782
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Apr 30 21:14:46 2015 -0700

    libFS 1.0.7
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit f1c9c18e2601151e3dfa7f83b4748edd2a5a3a6e
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Nov 5 17:49:30 2014 -0800

    Use 'imdent' to realign cpp indentation levels in FSlibos.h
    
    Parts were indented, others weren't, now is more consistent.
    'git diff -w' shows no non-whitespace changes in this commit
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit f2c0bb056dbfbc2ca5b753b8de87b6c73742a990
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Nov 5 17:48:18 2014 -0800

    Remove unneeded checks for #ifndef X_NOT_POSIX
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit aef4c4f1330dc01d535cd88b9805c3d5d164b070
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Jul 11 20:24:22 2014 -0700

    Fix typos & wording issues in source comments
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit dcf25b1ed387d7019d2cf7703eeb33554987d63f
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Jun 5 14:20:07 2014 -0700

    Fix some sign/size conversion warnings from clang
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit fa577a18f189fe454995306d38059570e1ad8bf2
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Jun 4 23:36:45 2014 -0700

    Constify some more strings in API arguments
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 5e0f1b91edb97759e2c07ec233c2ce8639c8e0fe
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri May 23 23:20:03 2014 -0700

    Constify pattern argument to FSListCatalogues
    
    The contents of pattern are simply copied to the request sent to
    the font server and never touched again, so can be labeled read-only.
    
    Fixes compiler warning building xfsinfo:
    
    xfsinfo.c: In function ‘print_catalogue_info’:
    xfsinfo.c:158:5: warning: passing argument 2 of ‘FSListCatalogues’ discards
     ‘const’ qualifier from pointer target type [enabled by default]
         char      **cats = FSListCatalogues(svr, "*", 1000, &n);
         ^
    In file included from xfsinfo.c:66:0:
    FSlib.h:255:16: note: expected ‘char *’ but argument is of type ‘const char *’
     extern char ** FSListCatalogues ( FSServer *svr, char *pattern,
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 88be5c37c40070305e64c4b8dc0a1c1f6ca80440
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Mar 16 10:44:14 2014 -0700

    libFS 1.0.6
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit e5be46eceee9c0c0d5f0363d3e08b19f86f85fcb
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Jan 3 23:07:12 2014 -0800

    Use strlcpy instead of strcpy/strncpy if it is available
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit e831ef9246684298c147f9b26de0810b8218c3cb
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Jan 3 21:33:10 2014 -0800

    Replace malloc(strlen + 1); strcpy() with strdup()
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Jasper St. Pierre <jstpierre@mecheye.net>

commit 980cf8ac0c636ff7ef1fccb9e74f116ac5ea34ae
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Jan 3 21:13:30 2014 -0800

    Remove unused internal helper _FSWireToEvent
    
    Since we build with -export-symbols-regex '^FS.*', it wasn't available
    to callers outside libFS, and was never called by anything inside libFS.
    
    Seems to have been imported from XlibInt.c without ever being used.
    
    Flagged by cppcheck 1.62:
    [FSlibInt.c:753]: (style) The function '_FSWireToEvent' is never used.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Jasper St. Pierre <jstpierre@mecheye.net>

commit b9f27dc863c3ca01bb231ee48e84bc60b39d4f1f
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Jan 3 20:55:33 2014 -0800

    Remove unused internal helper _FSEventsQueued
    
    Since we build with -export-symbols-regex '^FS.*', it wasn't available
    to callers outside libFS, and was never called by anything inside libFS.
    
    Seems to have been imported from XlibInt.c without ever being used.
    
    Flagged by cppcheck 1.62:
    [FSlibInt.c:180]: (style) The function '_FSEventsQueued' is never used.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Jasper St. Pierre <jstpierre@mecheye.net>

commit 37772516acb95b3c9934252994b7dfdc147dfd23
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Jan 3 20:50:32 2014 -0800

    Remove unused internal helper _FSAllocScratch
    
    Since we build with -export-symbols-regex '^FS.*', it wasn't available
    to callers outside libFS, and was never called by anything inside libFS.
    
    Seems to have been imported from XlibInt.c without ever being used.
    The _FSserver fields that it used (and nothing else did) are replaced
    with "unused" placeholders to maintain struct layout/size.
    
    Flagged by cppcheck 1.62:
    [FSlibInt.c:973]: (style) The function '_FSAllocScratch' is never used.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Jasper St. Pierre <jstpierre@mecheye.net>

commit ac1eb6e3ea54724cf3ab3ad1ccf0595df9e34786
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Jan 3 20:46:48 2014 -0800

    Remove unused internal helper _FSGetHostname
    
    Since we build with -export-symbols-regex '^FS.*', it wasn't available
    to callers outside libFS, and was never called by anything inside libFS.
    
    Xtrans provides it's own exact copy of this function, which gets
    the name _FSTransGetHostname when built in libFS, nothing in libFS
    outside the Xtrans code calls a gethostname() function.
    
    Flagged by cppcheck 1.62:
    [FSlibInt.c:1060]: (style) The function '_FSGetHostname' is never used.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Jasper St. Pierre <jstpierre@mecheye.net>

commit a4c12fe0ca5cb359bffe08b26a92ddcf8e194441
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Jan 3 20:04:33 2014 -0800

    If EAGAIN == EWOULDBLOCK, only need to check errno for one of them
    
    Solaris <sys/errno.h> has:
     #define EWOULDBLOCK       EAGAIN
    so checking (errno == EAGAIN || errno == EWOULDBLOCK) is overkill.
    
    This leads cppcheck 1.62 to complain:
    [FSlibInt.c:153] -> [FSlibInt.c:153]: (style) Same expression on both sides of '||'.
    [FSlibInt.c:301] -> [FSlibInt.c:301]: (style) Same expression on both sides of '||'.
    [FSlibInt.c:379] -> [FSlibInt.c:379]: (style) Same expression on both sides of '||'.
    [FSlibInt.c:472] -> [FSlibInt.c:472]: (style) Same expression on both sides of '||'.
    
    This quiets it, and reduces the number of calls Solaris Studio cc
    generates to the __errno() function to get the thread-specific errno value.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Jasper St. Pierre <jstpierre@mecheye.net>

commit b6885f7aedc3b6eba62ffa1edac1e8488d938cea
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Jan 3 19:57:09 2014 -0800

    Reduce scope & remove unneeded assignment of defaultp in FSGetErrorText()
    
    Suggested by cppcheck 1.62
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit dcb6c39feb63dcf7e843bd2394a2544fd4e79f9f
Author: Jeremy Huddleston Sequoia <jeremyhu@apple.com>
Date:   Thu Jan 2 01:03:49 2014 -0800

    FSOpenServer: Fix double-free in error path
    
    FSOpenServ.c:266:5: warning: Use of memory after it is freed
        OutOfMemory(svr, setup);
        ^~~~~~~~~~~~~~~~~~~~~~~
    
    Signed-off-by: Jeremy Huddleston Sequoia <jeremyhu@apple.com>

commit 4b0b74f953619164dc2863ee2cd3f09d15c65a51
Author: Jeremy Huddleston Sequoia <jeremyhu@apple.com>
Date:   Thu Jan 2 00:49:27 2014 -0800

    Update error loop to correctly handle error in i==0 case
    
    FSOpenServ.c:183:3: warning: Function call argument is an uninitialized value
                    FSfree(alts[i].name);
                    ^~~~~~~~~~~~~~~~~~~~
    ./FSlibos.h:273:21: note: expanded from macro 'FSfree'
                        ^~~~~~~~~~~
    
    Signed-off-by: Jeremy Huddleston Sequoia <jeremyhu@apple.com>

commit 5ed8b4cf1f1c35ef35a3c94350e6b96646a2a0b7
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Dec 27 11:01:35 2013 -0800

    Add AC_USE_SYSTEM_EXTENSIONS to expose non-standard extensions
    
    Required on Solaris to expose fd_mask in <sys/select.h> now that
    xtrans 1.3 defines _XOPEN_SOURCE to 600 on Solaris, since fd_mask
    is not defined in that version of the XPG standards.
    
    Fixes build failure:
    ../../src/FSConnServ.c: In function '_FSWaitForWritable':
    ../../src/FSConnServ.c:166:6: error: 'fd_mask' undeclared (first use in this function)
    ../../src/FSConnServ.c:166:6: note: each undeclared identifier is reported only once for each function it appears in
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Daniel Stone <daniel@fooishbar.org>

commit 19ca53de0aae67b1f23085c832b445576c6a0b25
Author: Adam Jackson <ajax@redhat.com>
Date:   Fri Nov 1 11:14:58 2013 -0400

    Fix build with xtrans 1.3
    
    ->Readv was in fact being used, oops.  Just call straight down to
    readv() instead.
    
    Reviewed-by: Peter Harris <pharris@opentext.com>
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit 96243bfec19d0f543de3ef590a482f7f6dcdaa3d
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Jun 24 22:52:09 2013 -0700

    Drop Cray (WORD64/MUSTCOPY) support
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit d30a927b79ee0faa5f4547d5d60570f8fcd11fc2
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Jun 24 22:46:52 2013 -0700

    Fix a couple comment typos
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 665fb8c34183bbaba5c7deb045863090082f814b
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Jun 24 22:42:56 2013 -0700

    Require ANSI C89 pre-processor, drop pre-C89 token pasting support
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 279fbcc23d6cd462e034dec6a9d1378cb86247e3
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue May 28 17:42:06 2013 -0700

    Fix typo in readme ("xfslsfonts" should be "fslsfonts")
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 9d1458e02fe8dcac68b32917c9b10fa49d7161e7
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue May 28 17:17:40 2013 -0700

    libFS 1.0.5
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 26dc23446c2e7818fdebfb46e101bac4883df07e
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Apr 14 09:07:32 2013 -0700

    Sign extension issue and integer overflow in FSOpenServer() [CVE-2013-1996]
    
    >       altlen = (int) *ad++; <-- if char is 0xff, will sign extend to int (0xffffffff == -1)
    >       alts[i].name = (char *) FSmalloc(altlen + 1); <-- -1 + 1 == 0
    > ...
    >       memmove(alts[i].name, ad, altlen); <-- memory corruption
    
    Reported-by: Ilja Van Sprundel <ivansprundel@ioactive.com>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit f6030dd569094fb29720a4bf54aec784b1edcac5
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Apr 10 21:43:40 2013 -0700

    Get rid of more duplication in error cleanup code in FSListFontsWithXInfo
    
    Also get rely on free() to handle null pointers in cleanup code instead
    of checking each one ourselves.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 1f260bfdcb8d83d6c21db70ad6ed0fa94e5f5abf
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Apr 10 20:55:36 2013 -0700

    Avoid accessing freed memory on realloc failure in FSListFontsWithXInfo
    
    Since we realloc 5 things in a row, and then check for failure, it's
    quite possible one of our old pointers is now pointing to something
    completely different, so instead update the pointers as we successfully
    realloc them and then jump to the normal error processing cleanup if
    one fails.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 3022dfdcdac08a4950695ded9f372e845f2be008
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Apr 10 19:04:22 2013 -0700

    Avoid reading outside bounds when _FSReply receives an Error response
    
    Upon receiving a response, _FSReply copies the first 8 bytes into *rep
    and then looks at them to determine what type of response.   If it's an
    error packet, it then converts to an error struct and reads the rest,
    but it was copying 16 bytes out of *rep to begin with, due to sloppy
    casting.   Since we immediately overwrite the second 8 bytes with the
    data coming off the wire, this isn't horrible, but it really freaks out
    static analysis and memory debugging tools.
    
    Fixes parfait 1.1 warning:
    
    Error: Buffer overrun
       Read Outside Array Bounds in STD C function: Read outside array bounds in call to llvm.memcpy.p0i8.p0i8.i64. Buffer ((char*)((union fsError*)rep)) of size ??? is read at an offset of 16
          size(((char*)((union fsError*)rep))) is 8, 16 is 16
            at line 751 of src/FSlibInt.c in function '_FSReply'.
            called at line 67 of src/FSSync.c in function 'FSSync' with rep = ((union fsReply*)&rep).
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 932131874109931bb6d50acc47ac94e51a2353de
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Apr 10 18:54:35 2013 -0700

    Use NULL instead of 0 for null pointers
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 90b9754da977cb6804da4c38711ff33db772a9ca
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Apr 10 18:30:24 2013 -0700

    Get rid of unnecessary casts in FSfree calls
    
    No need to cast all other pointers to char *, since C89 free takes
    any type of pointer.   Casting all of them just hides errors if you
    try to free something that's not really a pointer.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 2cf3ed903048758ee696d410aba6afefd1582dec
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Apr 10 18:26:22 2013 -0700

    Get rid of unnecessary casts in FS*alloc calls
    
    Stop taking 64-bit size_t, truncating to 32-bit unsigned int, and then
    putting into a 64-bit size_t argument to underlying *alloc call.
    
    Also stop casting results, since in C, that just hides missing prototype
    errors that can cause memory corruption when taking an implicit 32-bit
    int return value and trying to make a 64-bit pointer out of it.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 0ef550010ad1cb08297951b385c0034010e89a9a
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Jan 18 23:18:47 2013 -0800

    Replace deprecated Automake INCLUDES variable with AM_CPPFLAGS
    
    Excerpt https://lists.gnu.org/archive/html/automake/2012-12/msg00038.html
    
      - Support for the long-deprecated INCLUDES variable will be removed
        altogether in Automake 1.14.  The AM_CPPFLAGS variable should be
        used instead.
    
    This variable was deprecated in Automake releases prior to 1.10, which is
    the current minimum level required to build X.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 464fb353a406cbb4c478fae89952979cb5c8775c
Author: Colin Walters <walters@verbum.org>
Date:   Wed Jan 4 17:37:06 2012 -0500

    autogen.sh: Implement GNOME Build API
    
    http://people.gnome.org/~walters/docs/build-api.txt
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit 0e0109c5d035c9f803b52d2189151f600de59866
Author: Adam Jackson <ajax@redhat.com>
Date:   Tue Jan 15 14:28:48 2013 -0500

    configure: Remove AM_MAINTAINER_MODE
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit 56c83935a873fa7c6bb0c8c7d9f755ee08439aa5
Author: Thomas Klausner <wiz@NetBSD.org>
Date:   Thu Jul 12 14:39:26 2012 +0200

    Fix a prototype error
    
    Per NetBSD PR 41899 from Henning Petersen.
    
    Signed-off-by: Thomas Klausner <wiz@NetBSD.org>
    Signed-off-by: Julien Cristau <jcristau@debian.org>

commit 589eea0713cacb7b6889d15e4dbcd2914684db9b
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Mar 2 19:47:42 2012 -0800

    libFS 1.0.4
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 9e5c931053f261cc97e3d7b75a5c2f14990bbb9d
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Mar 2 19:42:18 2012 -0800

    Remove unneeded shadow definition of 'i' from FSQueryXBitmaps16
    
    Fixes gcc warning:
    FSQGlyphs.c: In function 'FSQueryXBitmaps16':
    FSQGlyphs.c:153:6: warning: declaration of 'i' shadows a previous local
    FSQGlyphs.c:143:10: warning: shadowed declaration is here
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 4ebfa48f74deb4f35490e02eeeb1e59ff56856ab
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Dec 4 08:54:38 2011 -0800

    Fix builds of FSlibInt.c with Solaris Studio compilers
    
    Required in order to build with Studio cc now that xorg-macros is
    setting -errwarn=E_FUNC_HAS_NO_RETURN_STMT since a bug in the Solaris
    system headers causes the noreturn attribute to not be correctly
    applied to the exit() prototype in <stdlib.h> when building with
    Studio instead of gcc.
    
    Otherwise compiler exits with error:
    "FSlibInt.c", line 976: Function has no return statement : _FSDefaultIOError
    
    Uses Studio-specific pragma instead of adding another exit() prototype
    with a noreturn attribute to avoid causing gcc to warn about having
    a redundant prototype for the exit() function.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 447b3268bfb2d6a92d105ad75c2ac5462f1adecb
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Nov 11 22:54:21 2011 -0800

    Mark pattern argument to FSListFonts* as const char *
    
    Needed to fix gcc -Wwrite-strings warnings in clients such as fslsfonts
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 5dae1f32a775c3f99f26571f3fab8fb4f0f2874f
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Sep 28 22:28:22 2011 -0700

    Change FSOpenServer and FSServerName to take const char * args.
    
    Almost matches the current versions of the XOpenDisplay & XDisplayName
    functions they're modeled on - unlike XDisplayName, FSServerName now
    returns const char * as well so we don't lose the constness of the
    string passed in if we return it.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 1353bd6b52241857f9e37cc6403e1fee3c5e69e4
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Sep 26 15:07:57 2011 -0700

    Add const attributes to fix gcc -Wwrite-strings warnings
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 750fbfe7562e94788e5dfecb6617e26d6d3f0157
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Sep 16 22:08:05 2011 -0700

    Strip trailing whitespace
    
    Performed with: find * -type f | xargs perl -i -p -e 's{[ \t]+$}{}'
    git diff -w & git diff -b show no diffs from this change
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 06fd3e765d96fda0e323c11c7a6786b870655bbe
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Thu Apr 28 17:21:15 2011 -0700

    Silence clang's -Wformat-nonliteral around our error printing code
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit b39bb910ce7a8dc18922957bad7c0e7b1fe9c499
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Thu Apr 28 17:11:05 2011 -0700

    Annotate fatal errors with _X_NORETURN
    
    Fixes a false-positive with clang static analysis
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 8607b9de7b331f7a97e623b1490194324a8b9a4b
Author: Cyril Brulebois <kibi@debian.org>
Date:   Fri Feb 18 21:17:12 2011 +0100

    Silence gcc warning.
    
    Fix the build with CFLAGS="-Wall -Werror":
    |   CC     FSGetErrorText.o
    | cc1: warnings being treated as errors
    | FSGetErrorText.c: In function ‘CheckErrorMessage’:
    | FSGetErrorText.c:43: error: format ‘%d’ expects type ‘int’, but argument 5 has type ‘long unsigned int’
    
    An int is likely to be sufficient for this buffer's size…
    
    Signed-off-by: Cyril Brulebois <kibi@debian.org>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 07c1f9c135039606c63b88d51b93532199897ceb
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Feb 13 10:23:43 2011 -0800

    Off-by-one error on the other end of FSGetErrorText bounds check
    
    The Font Server protocol actually defines 0 as an error code too.
    
    Before this fix, test/FSGetErrorText printed:
    
    FSGetErrorText for code FSBadRequest (0) returned:
    ||
    
    Afterwards:
    
    FSGetErrorText for code FSBadRequest (0) returned:
    |BadRequest, invalid request code or no such operation|
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit ba4f4e7604afc23431c62c3886ab9419d5913661
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Feb 13 10:20:48 2011 -0800

    Add simple test program for FSGetErrorText()
    
    When run with arguments, prints messages for the given codes.
    When run with no arguments, prints messages for known valid error codes
    and some invalid codes.
    
    Not run as part of "make check" since it requires a connection to an
    xfs server to run, just available for developers to manually run when
    needed.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 3deb5cb746e94854728f8265b6bb8eeaec367322
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Feb 11 18:32:08 2011 -0800

    Off-by-one error in FSGetErrorText bounds check
    
    Read outside array bounds (CWE 125): In array dereference of <unknown> with index 'code'
      Array size is 12 elements (of 4 bytes each), index >= 1 and index <= 12
        at line 108 of libFS/src/FSErrDis.c in function 'FSGetErrorText'.
    
    [ This bug was found by the Parfait 0.3.6 bug checking tool.
      For more information see http://labs.oracle.com/projects/parfait/ ]
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Julien Cristau <jcristau@debian.org>

commit ee8e378880e3fd3422f378b419bb77665626629c
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Feb 2 16:08:21 2011 -0500

    config: splitting FS and XTRANS compiler option no longer required
    
    This was done for the wrong reasons and fixed in commit:
    87c96993d17812a55d92ef32a91083614e258f02
    where the libfs.pc.in was fixed.
    
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 92a10dde49d707d79fe588bb9e5aba2534c0ab2c
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Feb 2 11:43:40 2011 -0500

    config: comment, minor upgrade, quote and layout configure.ac
    
    Group statements per section as per Autoconf standard layout
    Quote statements where appropriate.
    Autoconf recommends not using dnl instead of # for comments
    
    Use AC_CONFIG_FILES to replace the deprecated AC_OUTPUT with parameters.
    Add AC_CONFIG_SRCDIR([Makefile.am])
    Update minimum version of util-macros to at least 1.8.
    
    This helps automated maintenance and release activities.
    Details can be found in http://wiki.x.org/wiki/NewModuleGuidelines

commit 195bc673e232e73b4cfa0fd34150a574683c69d1
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Fri Jan 28 19:41:37 2011 -0500

    config: replace deprecated AM_CONFIG_HEADER with AC_CONFIG_HEADERS
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 5895de6dedcb8603b6a415d3486395c29501868c
Author: Cristian Rodríguez  <cristian.rodriguez@opensuse.org>
Date:   Tue Dec 14 15:07:34 2010 -0500

    Export only public API symbols
    
    Reviewed-by: Adam Jackson <ajax@redhat.com>
    Signed-off-by: Cristian Rodríguez <cristian.rodriguez@opensuse.org>

commit 4218339a30a899ceb82a9a057c6b96bce624f917
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue Oct 26 18:47:31 2010 -0700

    libFS 1.0.3
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit f6aacdb5143032a9e21b8bb09212fcf69c839a85
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue Oct 26 18:45:48 2010 -0700

    Remove unnecessary calls from configure.ac
    
    AM_PROG_CC is already covered by XORG_DEFAULT_OPTIONS
    AC_SUBST of CFLAGS & LIBS is taken care of by PKG_CHECK_MODULES
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit c7c7dda28b61d9b008a2fab3baf8ed02662a6dbf
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Mar 29 16:50:33 2010 -0400

    config: update AC_PREREQ statement to 2.60
    
    Unrelated to the previous patches, the new value simply reflects
    the reality that the minimum level for autoconf to configure
    all x.org modules is 2.60 dated June 2006.
    
    ftp://ftp.gnu.org/gnu/autoconf/autoconf-2.60.tar.gz
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit dbe6f1912d77cd42ca0ac7ac5296113f84fc690e
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Mar 29 15:09:34 2010 -0400

    config: install in $docdir and distribute doc/FSlib.txt
    
    The dist_doc_DATA statement was designed for that purpose.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 315643e773d666d1cc2248fe7ba1bc979ec34c70
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Mar 29 14:53:48 2010 -0400

    config: remove the pkgconfig pc.in file from EXTRA_DIST
    
    Automake always includes it in the tarball.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit a391fd191e207b4408ce230505df25570cf041d4
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Fri Nov 27 20:56:03 2009 -0500

    Makefile.am: add ChangeLog and INSTALL on MAINTAINERCLEANFILES
    
    Now that the INSTALL file is generated.
    Allows running make maintainer-clean.

commit 15104bf1988d27e7dc4272d32dbd381455c0e9f7
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Oct 28 14:09:10 2009 -0400

    INSTALL, NEWS, README or AUTHORS files are missing/incorrect #24206
    
    Add missing INSTALL file. Use standard GNU file on building tarball
    README may have been updated
    Remove AUTHORS file as it is empty and no content available yet.
    Remove NEWS file as it is empty and no content available yet.

commit 491adff64c38f940ca21f6be9e370ebe90f72c3e
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Oct 27 15:07:25 2009 -0400

    Deploy the new XORG_DEFAULT_OPTIONS #24242
    
    This macro aggregate a number of existing macros that sets commmon
    X.Org components configuration options. It shields the configuration file from
    future changes.

commit 1b6896d93de00ad79c28c537edead58309df0d31
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Oct 26 22:08:41 2009 -0400

    Makefile.am: ChangeLog not required: EXTRA_DIST or *CLEANFILES #24432
    
    ChangeLog filename is known to Automake and requires no further
    coding in the makefile.

commit 40addd2ce521edadc6e6373b80c3c8c4f73c11c1
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Oct 22 12:34:18 2009 -0400

    .gitignore: use common defaults with custom section # 24239
    
    Using common defaults will reduce errors and maintenance.
    Only the very small or inexistent custom section need periodic maintenance
    when the structure of the component changes. Do not edit defaults.

commit be177a3bad2b3158c09ebfc0356e0944ca704732
Author: Jeremy Huddleston <jeremyhu@freedesktop.org>
Date:   Wed Oct 21 12:47:23 2009 -0700

    This is not a GNU project, so declare it foreign.
    
    On Wed, 2009-10-21 at 13:36 +1000, Peter Hutterer wrote:
    > On Tue, Oct 20, 2009 at 08:23:55PM -0700, Jeremy Huddleston wrote:
    > > I noticed an INSTALL file in xlsclients and libXvMC today, and it
    > > was quite annoying to work around since 'autoreconf -fvi' replaces
    > > it and git wants to commit it.  Should these files even be in git?
    > > Can I nuke them for the betterment of humanity and since they get
    > > created by autoreconf anyways?
    >
    > See https://bugs.freedesktop.org/show_bug.cgi?id=24206
    
    As an interim measure, replace AM_INIT_AUTOMAKE([dist-bzip2]) with
    AM_INIT_AUTOMAKE([foreign dist-bzip2]). This will prevent the generation
    of the INSTALL file. It is also part of the 24206 solution.
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@freedesktop.org>

commit 364af12a2426358461f5ed5b142c97411cad80c5
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Tue Jul 7 15:47:36 2009 -0700

    Version 1.0.2

commit 040bfd8f055f7e49f15e457842b8bca4f8d2020a
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Tue Jul 7 15:45:50 2009 -0700

